Subject: RE: [rohc] ROHC question about list compression

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Fri, 6 Dec 2002 11:50:35 +0100

> Hi,
> 	I have a two-fold question about ROHC List compression.
> 	Q1: In the U/O mode for each index we maintain known, item
>         and counter pair, and we do not maintain any SNs. Now
>         for any ACK we receive how do we know that ack is for
>         that pair? Taking an example, lets say we send one
>         type 0 packet with SN 8, in the next packet we send
>         with an SN 9 + an (index, item) pair to the
>         decompressor. Now the decompressor sends an ack for
>         SN 8, according to the RFC we should set the (item,
>         index) pair to known although that is an ACK for
>         SN 8. Does that mean we should maintain SN list
>         for U/O mode also?

[DISCLAMER, I have neither written nor implemented this part, ]
[           but I will try to answer anyway since no one else ]
[           answers.                                          ]

Each item is part of a compressed list, and each list has a
generation number. According to 5.8.2.1, c), 2), you will have
to keep the SN for all non-established generations, and that
would then also implicitly give you the sequence number for
each list item, right?

> 	Q2: In the Encoding Type1 and Encoding Type 2, each 
>         item XI has the first bit as presence bit, isn't it
>         a redundant bit?

Can you elaborate a little bit more on this, e.g. refer to
text in the draft?

Rgds,
/L-E
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc